
Redmine - Defect #4495

Tab's 'border-bottom' not absent when selected (alternate)

2009-12-28 11:04 - Felix Schäfer

Status: Closed Start date: 2009-12-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.1   

Resolution: Fixed Affected version:  

Description

In current trunk, the selected tab in project settings or redmine settings has a visible border-bottom, which wasn't there some

revisions ago. This is for the alternate theme and current trunk, although I have narrowed down the change to somewhere between 

r3140 and r3211.

Associated revisions

Revision 3325 - 2010-01-17 12:15 - Jean-Philippe Lang

Fixed: Tab's 'border-bottom' not absent when selected (#4495).

History

#1 - 2009-12-28 23:52 - Mischa The Evil

I can confirm the issue using source:/trunk@3255 together with the default theme. I was able to trace it back to r3174.

#2 - 2009-12-30 00:48 - Eric Davis

It's caused from this css:

#content .tabs {height: 2.6em; border-bottom: 1px solid #bbbbbb; margin-bottom:1.2em; position:relative; overf

low:hidden;}

 The tabs div has a bottom border that is visible above all of the tabs.

#3 - 2010-01-10 15:43 - Kevin Bosman

- File defect4495.patch added

Mischa is correct: this behaviour was introduced by r3174.

The attached patch (defect4495.patch) should fix the problem in the default and alternate themes for Firefox and IE on Windows.

I haven't been able to test it on any other browsers (volunteers?)

#4 - 2010-01-11 11:15 - Felix Schäfer

Works on Safari/OS X (so probably every webkit browser) too, my css-foo isn't good enough to judge of the sanity of the patch though.

#5 - 2010-01-11 11:17 - Felix Schäfer

(forgot to mention that I tested this on alternate, not default, but that should work on it as well)

#6 - 2010-01-17 12:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.1

- Resolution set to Fixed

I was aware of this issue but I didn't even try to fix it, thanks for the patch.

Tested on default theme with Firefox 3.5.7, IE 8 and committed in r3325.

Files

defect4495.patch 1.75 KB 2010-01-10 Kevin Bosman
